# Packmangroup: Libraries
# Packmanpackagename: xvid
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>GPLed reimplementation of OpenDivX video codec. You can play OpenDivX and DivX4 videos with it.</p>
# Packmanpackagedesc_de: <p>Reimplementierung des OpenDivX Video-Codecs unter der GPL-Lizenz. Sie k&ouml;nnen damit OpenDivX und DivX4 Videos abspielen.</p>

%define name    xvid
%define ver     1.1.0
%define rel     0.pm.1beta2

Name:           %{name}
Summary:        GPLed reimplementation of OpenDivX video codec
Summary(pl):    Reimplementacja kodeka wideo OpenDivX na licencji GPL
Summary(de):    Reimplementierung des OpenDivX Video-Codecs unter der GPL
Summary(fi):    OpenDivX-videokodekin uudelleentoteutus GPL-lisenssin alle
Version:        %{ver}
Release:        %{rel}
License:        GPL
Group:          Development/Libraries
URL:            http://www.xvid.org/

Source0:        xvidcore-1.1.0-beta2.tar.bz2
Source1:        xvidcore-0.9.2.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
ExclusiveArch:  %{ix86} ppc sparc sparc64 sparcv9 x86_64 amd64 ia32e
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
GPLed reimplementation of OpenDivX video codec. You can play OpenDivX
and DivX4 videos with it.

%description -l pl
Reimplementacja kodeka wideo OpenDivX na licencji GPL. Za pomoc tej
biblioteki moesz odtwarzaï¿½pliki zapisane w standardzie OpenDivX i
DivX4.

%description -l de
Reimplementierung des OpenDivX Video-Codecs unter der GPL-Lizenz.
Sie können damit OpenDivX und DivX4 Videos abspielen.

%description -l fi
OpenDivX-videokodekin uudelleentoteutus GPL-lisenssin alle.
XviD-videokodekin avulla voit purkaa DivX4- ja OpenDivX-koodattuja videoita

%package devel
Summary:        Development files of XviD video codec
Summary(pl):    Pliki programistyczne dla kodeka wideo XviD
Summary(de):    Entwicklerdateien des XviD Video-Codecs
Summary(fi):    Kehitystiedostot XviD-videokodekille
Group:          Development/Libraries
Requires:       %{name} = %{version}
Provides:       libxvidcore.so
# Packmandepends: xvid

%description devel
Development files of XviD video codec.

%description devel -l pl
Pliki programistyczne dla kodeka wideo XviD.

%description devel -l de
Entwicklerdateien des XviD Video-Codecs.

%description devel -l fi
Kehitystiedostot XviD-videokodekille.

%prep
%setup  -q -n %{name}core-%{version}-beta2 -b 1

%build
export CFLAGS="${RPM_OPT_FLAGS}"
cd build/generic
%configure
%__make
cd ../../../xvidcore-0.9.2/build/generic
%configure
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

#cd %{name}core-%{version}/build/generic
cd build/generic/=build
%{__install} *.so* $RPM_BUILD_ROOT%{_libdir}
%{__install} *.a $RPM_BUILD_ROOT%{_libdir}

cd ../../../src
%{__install} xvid.h $RPM_BUILD_ROOT%{_includedir}

cd ../../xvidcore-0.9.2/build/generic
%{__install} libxvidcore.so.2.1 $RPM_BUILD_ROOT%{_libdir}

cd $RPM_BUILD_ROOT%{_libdir}
%{__ln_s} libxvidcore.so.2.1 libxvidcore.so.2
%{__ln_s} libxvidcore.so.4.0 libxvidcore.so.4
%{__ln_s} libxvidcore.so.4.0 libxvidcore.so

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README TODO
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc CodingStyle doc examples
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Wed Apr 06 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.1.0beta2
* Sun Mar 20 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.1.0beta1
* Mon Dec 20 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.3
- some cleanups
* Fri Nov 26 2004 Detlef Reichelt <detlef@dreichelt.de>
- rebuild for x86_64
- ExclusiveArch:  %{ix86} ppc sparc sparc64 sparcv9 x86_64
* Tue Aug 31 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.2
* Tue Jun 08 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.1
* Mon May 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0
* Mon Apr 05 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-rc4
* Fri Mar 05 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-rc3
* Fri Feb 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-rc2
* Wed Jan 28 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-rc1
* Sun Dec 28 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-beta3
* Sun Dec 07 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-beta2
* Mon Dec 01 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 1.0.0-beta1
* Sat Aug 09 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 0.9.2
* Sat Feb 15 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 0.9.1
* Mon Dec 10 2002 Tuukka Pasanen <illuusio@mailcity.com>
- Pitkien keskustelujen jdlkeen pddtimme kirjoittaa implementoinnin paikalle
  toteutus:). Finnish added.
* Sun Dec 01 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to xvid 0.9.0
* Sat Sep 14 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- erstes eigene Spec-File implementierung
